Package it.ernytech.tdlib

## Class TdApi.CancelDownloadFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CancelDownloadFile

Enclosing class:
  TdApi

    public static class TdApi.CancelDownloadFile
    extends TdApi.Function

Stops the downloading of a file. If a file has already been downloaded, does nothing.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `fileId` Identifier of a file to stop downloading.
`boolean` `onlyIfPending` Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

### Constructor Summary

Constructors
`CancelDownloadFile()` Default constructor.
`CancelDownloadFile​(int fileId, boolean onlyIfPending)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### fileId

    public int fileId

Identifier of a file to stop downloading.

#### onlyIfPending

    public boolean onlyIfPending

Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CancelDownloadFile

    public CancelDownloadFile()

Default constructor.

#### CancelDownloadFile

    public CancelDownloadFile​(int fileId,
                              boolean onlyIfPending)

Constructor for initialization of all fields.

Parameters:
  `fileId` - Identifier of a file to stop downloading.
  `onlyIfPending` - Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR